Bug 1265155 - OpenstackInfra specific charts no longer work
OpenstackInfra specific charts no longer work
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
unspecified Severity high
: GA
: 5.5.0
Assigned To: Ladislav Smola
Kyrylo Zvyagintsev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 05:01 EDT by Marius Cornea
Modified: 2015-12-08 08:32 EST (History)
4 users (show)

See Also:
Fixed In Version: 5.5.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:32:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Cornea 2015-09-22 05:01:41 EDT
Description of problem:
OpenstackInfra specific charts no longer work due to renaming.

Version-Release number of selected component (if applicable):
5.4.2

How reproducible:
100%

Steps to Reproduce:
1. Go to Nodes or Deployment roles utilization

Actual results:
All the charts show up.

Expected results:
See the OpenstackInfra specific charts.
Comment 1 Marius Cornea 2015-09-22 06:40:27 EDT
https://github.com/ManageIQ/manageiq/pull/4466
Comment 3 CFME Bot 2015-09-23 23:44:21 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=60ff7b45b7a94e8c673b9e40158769059be1007d

commit 60ff7b45b7a94e8c673b9e40158769059be1007d
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Tue Sep 22 12:24:55 2015 +0200
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Tue Sep 22 13:42:38 2015 +0200

    OpenstackInfra specific charts renaming
    
    Due to changed classes, yaml files have to be renamed, so they
    are picked up correctly.
    
    BZ
    https://bugzilla.redhat.com/show_bug.cgi?id=1265155

 .../daily_tag_charts/EmsClusterOpenstackInfra.yaml | 53 ------------
 .../daily_tag_charts/HostOpenstackInfra.yaml       | 58 -------------
 ...roviders_Openstack_InfraManager_EmsCluster.yaml | 53 ++++++++++++
 ...geIQ_Providers_Openstack_InfraManager_Host.yaml | 58 +++++++++++++
 .../EmsClusterOpenstackInfra.yaml                  | 97 ----------------------
 .../hourly_perf_charts/HostOpenstackInfra.yaml     | 75 -----------------
 ...roviders_Openstack_InfraManager_EmsCluster.yaml | 97 ++++++++++++++++++++++
 ...geIQ_Providers_Openstack_InfraManager_Host.yaml | 75 +++++++++++++++++
 .../EmsClusterOpenstackInfra.yaml                  | 49 -----------
 ...roviders_Openstack_InfraManager_EmsCluster.yaml | 49 +++++++++++
 .../realtime_perf_charts/HostOpenstackInfra.yaml   | 66 ---------------
 ...geIQ_Providers_Openstack_InfraManager_Host.yaml | 66 +++++++++++++++
 12 files changed, 398 insertions(+), 398 deletions(-)
 delete mode 100644 product/charts/layouts/daily_tag_charts/EmsClusterOpenstackInfra.yaml
 delete mode 100644 product/charts/layouts/daily_tag_charts/HostOpenstackInfra.yaml
 create mode 100644 product/charts/layouts/daily_tag_charts/ManageIQ_Providers_Openstack_InfraManager_EmsCluster.yaml
 create mode 100644 product/charts/layouts/daily_tag_charts/ManageIQ_Providers_Openstack_InfraManager_Host.yaml
 delete mode 100644 product/charts/layouts/hourly_perf_charts/EmsClusterOpenstackInfra.yaml
 delete mode 100644 product/charts/layouts/hourly_perf_charts/HostOpenstackInfra.yaml
 create mode 100644 product/charts/layouts/hourly_perf_charts/ManageIQ_Providers_Openstack_InfraManager_EmsCluster.yaml
 create mode 100644 product/charts/layouts/hourly_perf_charts/ManageIQ_Providers_Openstack_InfraManager_Host.yaml
 delete mode 100644 product/charts/layouts/hourly_tag_charts/EmsClusterOpenstackInfra.yaml
 create mode 100644 product/charts/layouts/hourly_tag_charts/ManageIQ_Providers_Openstack_InfraManager_EmsCluster.yaml
 delete mode 100644 product/charts/layouts/realtime_perf_charts/HostOpenstackInfra.yaml
 create mode 100644 product/charts/layouts/realtime_perf_charts/ManageIQ_Providers_Openstack_InfraManager_Host.yaml
Comment 4 CFME Bot 2015-09-23 23:50:21 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/60ff7b45b7a94e8c673b9e40158769059be1007d

commit 60ff7b45b7a94e8c673b9e40158769059be1007d
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Tue Sep 22 12:24:55 2015 +0200
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Tue Sep 22 13:42:38 2015 +0200

    OpenstackInfra specific charts renaming
    
    Due to changed classes, yaml files have to be renamed, so they
    are picked up correctly.
    
    BZ
    https://bugzilla.redhat.com/show_bug.cgi?id=1265155

 .../daily_tag_charts/EmsClusterOpenstackInfra.yaml | 53 ------------
 .../daily_tag_charts/HostOpenstackInfra.yaml       | 58 -------------
 ...roviders_Openstack_InfraManager_EmsCluster.yaml | 53 ++++++++++++
 ...geIQ_Providers_Openstack_InfraManager_Host.yaml | 58 +++++++++++++
 .../EmsClusterOpenstackInfra.yaml                  | 97 ----------------------
 .../hourly_perf_charts/HostOpenstackInfra.yaml     | 75 -----------------
 ...roviders_Openstack_InfraManager_EmsCluster.yaml | 97 ++++++++++++++++++++++
 ...geIQ_Providers_Openstack_InfraManager_Host.yaml | 75 +++++++++++++++++
 .../EmsClusterOpenstackInfra.yaml                  | 49 -----------
 ...roviders_Openstack_InfraManager_EmsCluster.yaml | 49 +++++++++++
 .../realtime_perf_charts/HostOpenstackInfra.yaml   | 66 ---------------
 ...geIQ_Providers_Openstack_InfraManager_Host.yaml | 66 +++++++++++++++
 12 files changed, 398 insertions(+), 398 deletions(-)
 delete mode 100644 product/charts/layouts/daily_tag_charts/EmsClusterOpenstackInfra.yaml
 delete mode 100644 product/charts/layouts/daily_tag_charts/HostOpenstackInfra.yaml
 create mode 100644 product/charts/layouts/daily_tag_charts/ManageIQ_Providers_Openstack_InfraManager_EmsCluster.yaml
 create mode 100644 product/charts/layouts/daily_tag_charts/ManageIQ_Providers_Openstack_InfraManager_Host.yaml
 delete mode 100644 product/charts/layouts/hourly_perf_charts/EmsClusterOpenstackInfra.yaml
 delete mode 100644 product/charts/layouts/hourly_perf_charts/HostOpenstackInfra.yaml
 create mode 100644 product/charts/layouts/hourly_perf_charts/ManageIQ_Providers_Openstack_InfraManager_EmsCluster.yaml
 create mode 100644 product/charts/layouts/hourly_perf_charts/ManageIQ_Providers_Openstack_InfraManager_Host.yaml
 delete mode 100644 product/charts/layouts/hourly_tag_charts/EmsClusterOpenstackInfra.yaml
 create mode 100644 product/charts/layouts/hourly_tag_charts/ManageIQ_Providers_Openstack_InfraManager_EmsCluster.yaml
 delete mode 100644 product/charts/layouts/realtime_perf_charts/HostOpenstackInfra.yaml
 create mode 100644 product/charts/layouts/realtime_perf_charts/ManageIQ_Providers_Openstack_InfraManager_Host.yaml
Comment 7 errata-xmlrpc 2015-12-08 08:32:03 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.